currency_symbols = {
    "AMD": "Դ",  # Armenian Dram
    "AUD": "$",  # Australian Dollar
    "AZN": "₼",  # Azerbaijani Manat
    "BRL": "R$",  # Brazilian Real
    "CAD": "$",  # Canadian Dollar
    "CHF": "F",  # Swiss Franc
    "CNY": "¥",  # Chinese Yuan Renminbi
    "EGP": "ج.م",  # Egyptian Pound
    "EUR": "€",  # Euro
    "GBP": "£",  # British Pound Sterling
    "ILS": "₪",  # Israeli Shekel
    "INR": "₹",  # Indian Rupee
    "JOD": "د.ا",  # Jordanian Dinar
    "JPY": "¥",  # Japanese Yen
    "KRW": "₩",  # South Korean Won
    "KWD": "د.ك",  # Kuwaiti Dinar
    "KZT": "〒",  # Kazakhstani Tenge
    "MNT": "₮",  # Mongolian Tögrög
    "MXN": "$",  # Mexican Peso
    "MYR": "RM",  # Malaysian Ringgit
    "NGN": "₦",  # Nigerian Naira
    "PKR": "₨",  # Pakistani Rupee
    "RUB": "₽",  # Russian Ruble
    "SGD": "$",  # Singapore Dollar
    "THB": "฿",  # Thai Baht
    "TRY": "₺",  # Turkish Lira
    "USD": "$",  # US Dollar
    "ZAR": "R",  # South African Rand
}

long_numeric_suffixes = [
    "",  # 10^0 (ones)
    "thousand",  # 10^3 (thousands)
    "million",  # 10^6 (millions)
    "billion",  # 10^9 (billions)
    "trillion",  # 10^12 (trillions)
    "quadrillion",  # 10^15 (quadrillions)
    "quintillion",  # 10^18 (quintillions)
    "sextillion",  # 10^21 (sextillions)
    "septillion",  # 10^24 (septillions)
    "octillion",  # 10^27 (octillions)
    "nonillion",  # 10^30 (nonillions)
    "decillion",  # 10^33 (decillions)
    "undecillion",  # 10^36 (undecillions)
    "duodecillion",  # 10^39 (duodecillions)
    "tredecillion",  # 10^42 (tredecillions)
    "quattuordecillion",  # 10^45 (quattuordecillions)
    "quindecillion",  # 10^48 (quindecillions)
    "sexdecillion",  # 10^51 (sexdecillions)
    "septendecillion",  # 10^54 (septendecillions)
    "octodecillion",  # 10^57 (octodecillions)
    "novemdecillion",  # 10^60 (novemdecillions)
    "vigintillion",  # 10^63 (vigintillions)
]

short_numeric_suffixes = [
    "",  # 10^0 (ones)
    "K",  # 10^3 (thousands)
    "M",  # 10^6 (millions)
    "B",  # 10^9 (billions)
    "T",  # 10^12 (trillions)
    "Q",  # 10^15 (quadrillions)
    "Qi",  # 10^18 (quintillions)
    "Sx",  # 10^21 (sextillions)
    "Sp",  # 10^24 (septillions)
    "O",  # 10^27 (octillions)
    "N",  # 10^30 (nonillions)
    "D",  # 10^33 (decillions)
    "Ud",  # 10^36 (undecillions)
    "Dd",  # 10^39 (duodecillions)
    "Td",  # 10^42 (tredecillions)
    "Qad",  # 10^45 (quattuordecillions)
    "Qid",  # 10^48 (quindecillions)
    "Sxd",  # 10^51 (sexdecillions)
    "Spd",  # 10^54 (septendecillions)
    "Od",  # 10^57 (octodecillions)
    "Nd",  # 10^60 (novemdecillions)
    "V",  # 10^63 (vigintillions)
]

short_googol_suffixes = [
    "Gg",  # 10^100 (googol)
    "Dg",  # 10^200 (duogoogol)
    "Tg",  # 10^300 (trigoogol)
    "Qag",  # 10^400 (quattrogoogol)
    "Qig",  # 10^500 (quinquagoogol)
    "Sxg",  # 10^600 (sexagoogol)
    "Spg",  # 10^700 (septengoogol)
    "Og",  # 10^800 (octogoogol)
    "Ng",  # 10^900 (nonagoogol)
    "Kkg",  # 10^1000 (kilogoogol)
]

long_googol_suffixes = [
    "googol",  # 10^100 (googol)
    "duogoogol",  # 10^200 (duogoogol)
    "trigoogol",  # 10^300 (trigoogol)
    "quattuorgoogol",  # 10^400 (quattuorgoogol)
    "quintagoogol",  # 10^500 (quintagoogol)
    "sexagoogol",  # 10^600 (sexagoogol)
    "septengoogol",  # 10^700 (septengoogol)
    "octogoogol",  # 10^800 (octogoogol)
    "nonagoogol",  # 10^900 (nonagoogol)
    "kilogoogol",  # 10^1000 (kilogoogol)
]
